# memory_.h File Reference

Go to the source code of this file.

## Functions

MagickExport void * | AcquireMagickMemory (const size_t)
MagickExport void ** | AcquireQuantumMemory (const size_t, const size_t)
MagickExport void *** | CopyMagickMemory (void *, const void *, const size_t)
MagickExport void *** | DestroyMagickMemory (void)
MagickExport void **** | RelinquishMagickMemory (void *)
MagickExport void ***** | ResetMagickMemory (void *, int, const size_t)
MagickExport void ****** | ResizeMagickMemory (void *, const size_t)
MagickExport void ******* | ResizeQuantumMemory (void *, const size_t, const size_t)

## Function Documentation

MagickExport void* AcquireMagickMemory | ( | const | size_t | ) |

MagickExport void* * AcquireQuantumMemory | ( | const | size_t,
|  | const | size_t |
| ) |  |  |

MagickExport void* * * CopyMagickMemory | ( | void * | ,
|  | const void * | ,
|  | const | size_t |
| ) |  |  |

MagickExport void* * * DestroyMagickMemory | ( | void |  | ) |

MagickExport void* * * * RelinquishMagickMemory | ( | void * |  | ) |

MagickExport void* * * * * ResetMagickMemory | ( | void * | ,
|  | int | ,
|  | const | size_t |
| ) |  |  |

MagickExport void* * * * * * ResizeMagickMemory | ( | void * | ,
|  | const | size_t |
| ) |  |  |

MagickExport void* * * * * * * ResizeQuantumMemory | ( | void * | ,
|  | const | size_t,
|  | const | size_t |
| ) |  |  |